%define name skipstone
%define version 0.7.9
%define release 2mdk

Summary: 	SkipStone is a simple Gtk+ web browser that utlizes Mozilla's gecko engine.
name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Networking/WWW
Source: 	http://muhri.net/skipstone/%name-%version.tar.bz2
# (fc) 0.7.3-1mdk fix detection logic for mozilla
Patch0: 	skipstone-0.7.9-mozillahome.patch.bz2
URL: 		http://www.muhri.net/skipstone
Buildroot: 	%_tmppath/%name-%version-buildroot
Requires: 	gtk+ >= 1.2.6 mozilla >= 0.9.4
Buildrequires: 	mozilla-devel

%description
SkipStone is a simple Gtk+ web browser that utlizes Mozilla's gecko engine.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .home

%build

%make

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/skipstone"\
title="Skipstone"\
longtitle="Web browser"\
needs="x11"\
icon="www_section.png"\
section="Networking/WWW"
EOF

%post 
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS INSTALL ChangeLog COPYING README.copying
%_bindir/*
%_datadir/skipstone
%_menudir/*

%changelog
* Thu Mar 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.7.9-2mdk
- use comm.jar instead of embed.jar for mozilla detection (fcrozat)

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.9-1mdk
- 0.7.9

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.8-2mdk
- Fix menu entry

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-1mdk
- 0.7.6

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.5-2mdk
- Recompiled against Mozilla 0.9.4

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.3-1mdk
- Release 0.7.3
- Patch0: fix detection logic for mozilla home

* Fri Feb 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- updated to 0.7.1

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- new in contribs
